# Enum Class StackMapFrameInfo.SimpleVerificationTypeInfo

java.lang.Object
java.lang.Enum<StackMapFrameInfo.SimpleVerificationTypeInfo>
java.lang.classfile.attribute.StackMapFrameInfo.SimpleVerificationTypeInfo

All Implemented Interfaces:
  `Serializable`, `StackMapFrameInfo.VerificationTypeInfo`, `Comparable<StackMapFrameInfo.SimpleVerificationTypeInfo>`, `Constable`

Enclosing interface:
  `StackMapFrameInfo`

public static enum StackMapFrameInfo.SimpleVerificationTypeInfo extends Enum<StackMapFrameInfo.SimpleVerificationTypeInfo> implements StackMapFrameInfo.VerificationTypeInfo
A simple stack value.

Since:
  24

- ## Nested Class Summary

  ### Nested classes/interfaces declared in class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DOUBLE`
  Verification type double.
  `FLOAT`
  Verification type float.
  `INTEGER`
  Verification type int.
  `LONG`
  Verification type long.
  `NULL`
  Verification type null.
  `TOP`
  Verification type top.
  `UNINITIALIZED_THIS`
  Verification type uninitializedThis.

- ## Field Summary

  ### Fields declared in interface java.lang.classfile.attribute.StackMapFrameInfo.VerificationTypeInfo

  `ITEM_DOUBLE, ITEM_FLOAT, ITEM_INTEGER, ITEM_LONG, ITEM_NULL, ITEM_OBJECT, ITEM_TOP, ITEM_UNINITIALIZED, ITEM_UNINITIALIZED_THIS`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `tag()`
  Returns the tag of the type info.
  `static StackMapFrameInfo.SimpleVerificationTypeInfo`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static StackMapFrameInfo.SimpleVerificationTypeInfo[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods declared in class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods declared in class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### TOP

    public static final StackMapFrameInfo.SimpleVerificationTypeInfo TOP
    Verification type top.

  - ### INTEGER

    public static final StackMapFrameInfo.SimpleVerificationTypeInfo INTEGER
    Verification type int.

  - ### FLOAT

    public static final StackMapFrameInfo.SimpleVerificationTypeInfo FLOAT
    Verification type float.

  - ### DOUBLE

    public static final StackMapFrameInfo.SimpleVerificationTypeInfo DOUBLE
    Verification type double.

  - ### LONG

    public static final StackMapFrameInfo.SimpleVerificationTypeInfo LONG
    Verification type long.

  - ### NULL

    public static final StackMapFrameInfo.SimpleVerificationTypeInfo NULL
    Verification type null.

  - ### UNINITIALIZED_THIS

    public static final StackMapFrameInfo.SimpleVerificationTypeInfo UNINITIALIZED_THIS
    Verification type uninitializedThis.

- ## Method Details

  - ### values

    public static StackMapFrameInfo.SimpleVerificationTypeInfo[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static StackMapFrameInfo.SimpleVerificationTypeInfo valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### tag

    public int tag()
    Description copied from interface: `StackMapFrameInfo.VerificationTypeInfo`
    Returns the tag of the type info.
    Specified by:
      `tag` in interface `StackMapFrameInfo.VerificationTypeInfo`
    Returns:
      the tag of the type info